package j2eetut.converter;

/*
 *  Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 *
 *  This software is the proprietary information of Sun Microsystems, Inc.
 *  Use is subject to license terms.
 *
 */
import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.math.*;

public class ConverterBean implements SessionBean {

    BigDecimal yenRate = new BigDecimal("121.6000");
    BigDecimal euroRate = new BigDecimal("1.02");
    BigDecimal realRate = new BigDecimal("3.65");

    public ConverterBean() { }

    public void setSessionContext(SessionContext sc) { 
         System.out.println("setSessionContext() called"); 
    }

    public BigDecimal dollarToYen(BigDecimal dollars) {
        System.out.println("dollarToYen(" + dollars + ") called"); 
        BigDecimal result = dollars.multiply(yenRate);
        return result.setScale(2, BigDecimal.ROUND_UP);
    }

    public BigDecimal yenToEuro(BigDecimal yen) {
        System.out.println("yenToEuro(" + yen + ") called"); 
        BigDecimal result = yen.multiply(euroRate);
        return result.setScale(2, BigDecimal.ROUND_UP);
    }

    public BigDecimal dollarToReal(BigDecimal dollars) {
        System.out.println("dollarToReal(" + dollars + ") called"); 
        BigDecimal result = dollars.multiply(realRate);
        return result.setScale(2, BigDecimal.ROUND_UP);
    }

    public void ejbCreate() { System.out.println("ejbCreate() called"); }

    public void ejbRemove() { System.out.println("ejbRemove() called"); }

    public void ejbActivate() { System.out.println("ejbActivate() called");  }

    public void ejbPassivate() { System.out.println("ejbPassivate() called"); }

}

